Retrieves an object of the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "3ca19834-9ba4-4fea-bbd1-e64345a15b8c",
"_parent_id": "bee53ed4-0dce-4f81-8a38-49e243eeaa29",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "9f3615c3-3214-4fb9-add9-46f4ef1c5d03",
"company_id": "7515fc2c-0b62-4b83-9f63-7825c7de7ad4",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "5b666a37-4c09-4fe8-af99-78e19d78b886",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "6b56be11-035e-4c92-a432-9a56718da958",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "189afcc3-10cd-49d8-9588-3baaf58e7807",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "9106efa6-108e-42e4-8133-d90400c2deff",
"company_code": "sample string 5",
"company": {
"id": "6bc274fd-f085-48e3-90fb-07278ff9e2b7",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-11T14:34:43.8127912+00:00",
"sales_territory_id": "33c3b2c5-9f53-4bcc-8cef-e06f03c79d2a",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "adc421b1-ee5a-41cb-b578-a1cf6e459d43",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "9ea909f4-8989-4a7d-b979-bc34f75234db",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "e608f99d-9dc8-4115-95f4-d568ec6d63e5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f4227fe2-53a2-4f97-901e-c2daba5b4379",
"db_currency_id": "564e5636-e615-4728-9836-ff96cf2ee485",
"db_language_id": "6fd9c2ac-e08f-4a2b-a39d-b4080de2285e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-11T14:34:43.8913967+00:00"
},
"modified_dateutc": "2026-10-11T14:34:43.8913967+00:00"
},
"marketing_segment_id": "b4dcf069-4a79-45b0-b497-43cdd9266c20",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "9f619ebd-1dcf-4f52-86a4-8fa009bd41b1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "f55d2661-dbee-43ce-800b-5ecc5c3f6ab9",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "5b3e80f4-271e-4938-bff7-e364d3764405",
"db_country_code": "sample string 28",
"feelist_id": "d268bf44-15d7-4557-b684-35d7f62cfce7",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "d9d9486a-78fb-4ef4-a555-68b829454949",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "247b7dc5-8336-4c17-b02b-445b1f8e29be",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-11T14:34:43.9112963+00:00",
"db_currency_id": "42933cad-0cdd-472e-8d8a-6f244e897755",
"db_currency_code": "sample string 10"
},
"company_type_id": "5bb53c1a-560f-4791-a685-9e0d65472d4b",
"company_type_name": "sample string 32",
"company_type": {
"id": "9c53ed9c-0ff9-4afa-9c15-b61561cbff00",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a512a963-9f49-4193-ae0f-e3bfd260cce2",
"sales_organization_code": "sample string 5"
},
"db_language_id": "a5b921ae-61f2-4da3-878b-59ead1a917bf",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "d9953e5a-ead0-455b-bc9e-a76c854249e7",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "107963f8-c77d-4ada-81b7-4c2f54ad62c8",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "5af6383f-7076-4963-a5f7-48771fb983f5",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-11T14:34:43.9112963+00:00"
},
"company_sector_id": "abba1cce-547e-4cd0-87b1-f44042082d09",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "443b77ba-42d1-4185-9484-f3024eeda140",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "fd7c48c6-dd35-4f4f-8fd8-ba878e172a19",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "e1161665-8389-445e-b50e-a067cd009ed7",
"account_manager_user_code": "sample string 56",
"company_status_id": "95df8695-01b0-468b-808f-f91bb95fb30e",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-11T14:34:43.9112963+00:00",
"id2": 60
},
"db_language_id": "2359a0ba-e837-408d-a9ba-d014c151eb5c",
"db_language_code": "sample string 7",
"db_title_id": "32531efc-c95a-489c-9aeb-73eb588672ed",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-11T14:34:43.9221702+00:00",
"create_date": "2026-10-11T14:34:43.9221702+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-11T14:34:43.9221702+00:00"
},
"modified_dateutc": "2026-10-11T14:34:43.9221702+00:00",
"id2": 22
}